FEGETROUND(3)

NAME
fegetround - get current rounding direction

SYNOPSIS

#include <fenv.h>

int fegetround(void);

DESCRIPTION

This method returns the current rounding direction.

RETURNS

This method returns the rounding direction, corresponding to the value of the respective rouding macro. If the current rounding direction cannot be determined, then a negative value is returned.

PORTABILITY

ANSI C requires fegetround.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.